config/routes.rb
Rails.application.routes.draw do
  resources :events
  get 'event/new'
  get 'event/create'
  get 'event/index'
  get 'event/show'
  get 'users/show'
  devise_for :connects
  get 'home/index'

  root 'home#index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/attendee_event.rb
class AttendeeEvent < ApplicationRecord
  belongs_to :event
  belongs_to :attendee, class_name: 'Connect', foreign_key: :attendee_id
end

app/models/connect.rb
class Connect < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable

  has_many :attendee_events, class_name: 'Event', foreign_key: 'attendee_id'
  has_many :created_events, class_name: 'Event', foreign_key: 'creator_id'
end

app/models/event.rb
class Event < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception

  before_action :sanitize_devise_params, if: :devise_controller?

  def sanitize_devise_params
    devise_parameter_sanitizer.permit(:account_update, keys: [:nickname])
  end


end

app/controllers/charges_controller.rb
class ChargesController < ApplicationController
end

app/controllers/events_controller.rb
class EventsController < ApplicationController
  before_action :set_event, only: [:show, :edit, :update, :destroy]

  # GET /events
  # GET /events.json
  def index
    @events = Event.all
  end

  # GET /events/1
  # GET /events/1.json
  def show
  end

  # GET /events/new
  def new
    @event = Event.new
  end

  # GET /events/1/edit
  def edit
  end

  # POST /events
  # POST /events.json
  def create
    @event = Event.new(event_params)

    respond_to do |format|
      if @event.save
        format.html { redirect_to @event, notice: 'Event was successfully created.' }
        format.json { render :show, status: :created, location: @event }
      else
        format.html { render :new }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /events/1
  # PATCH/PUT /events/1.json
  def update
    respond_to do |format|
      if @event.update(event_params)
        format.html { redirect_to @event, notice: 'Event was successfully updated.' }
        format.json { render :show, status: :ok, location: @event }
      else
        format.html { render :edit }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /events/1
  # DELETE /events/1.json
  def destroy
    @event.destroy
    respond_to do |format|
      format.html { redirect_to events_url, notice: 'Event was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_event
      @event = Event.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def event_params
      params.require(:event).permit(:name, :description, :date, :place, :prix)
    end
end

app/controllers/home_controller.rb
class HomeController < ApplicationController
  def index
    @events = Event.all
  end

  def event

  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/charges_helper.rb
module ChargesHelper
end

app/helpers/events_helper.rb
module EventsHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/views/events/_form.html.erb
<%= form_with(model: event, local: true) do |form| %>
  <% if event.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(event.errors.count, "error") %> prohibited this event from being saved:</h2>

      <ul>
      <% event.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <%= form.label :description %>
    <%= form.text_area :description %>
  </div>

  <div class="field">
    <%= form.label :date %>
    <%= form.datetime_select :date %>
  </div>

  <div class="field">
    <%= form.label :place %>
    <%= form.text_field :place %>
  </div>

  <div class="field">
    <%= form.label :prix %>
    <%= form.number_field :prix %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/events/edit.html.erb
<h1>Editing Event</h1>

<%= render 'form', event: @event %>

<%= link_to 'Show', @event %> |
<%= link_to 'Back', events_path %>

app/views/events/index.html.erb
<div class="container">

<p id="notice"><%= notice %></p>

<h1>Events de la <em>Hype</em> </h1>

<table class="tablehype">
  <thead>
    <tr>
      <th>Name</th>
      <th>Description</th>
      <th>Date</th>
      <th>Place</th>
      <th>Prix</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @events.each do |event| %>
      <tr>
        <td><%= event.name %></td>
        <td><%= event.description %></td>
        <td><%= event.date %></td>
        <td><%= event.place %></td>
        <td><%= event.prix %></td>
        <td><%= link_to 'Show', event %></td>
        <td><%= link_to 'Edit', edit_event_path(event) %></td>
        <td><%= link_to 'Destroy', event, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<button type="button" class="btn btn-default"><%= link_to 'New Event', new_event_path %></button>
</div>

app/views/events/new.html.erb
<h1>New Event</h1>

<%= render 'form', event: @event %>

<%= link_to 'Back', events_path %>

app/views/events/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @event.name %>
</p>

<p>
  <strong>Description:</strong>
  <%= @event.description %>
</p>

<p>
  <strong>Date:</strong>
  <%= @event.date %>
</p>

<p>
  <strong>Place:</strong>
  <%= @event.place %>
</p>

<p>
  <strong>Prix:</strong>
  <%= @event.prix %>
</p>

<%= link_to 'Edit', edit_event_path(@event) %> |
<%= link_to 'Back', events_path %>

app/views/home/index.html.erb
<div class="container">
<ul>
  <% if connect_signed_in? %>
  <h1>Hello <%= current_connect.nickname.capitalize %></h1>
  <p id="notice"><%= notice %></p>

  <h1>Events de la <em>Hype</em> </h1>

  <table class="tablehype">
    <thead>
      <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Date</th>
        <th>Place</th>
        <th>Prix</th>
        <th colspan="3"></th>
      </tr>
    </thead>

    <tbody>
      <% @events.each do |event| %>
        <tr>
          <td><%= event.name %></td>
          <td><%= event.description %></td>
          <td><%= event.date %></td>
          <td><%= event.place %></td>
          <td><%= event.prix %></td>
          <td><%= link_to 'Show', event %></td>
          <td><%= link_to 'Edit', edit_event_path(event) %></td>
          <td><%= link_to 'Destroy', event, method: :delete, data: { confirm: 'Are you sure?' } %></td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <br>

  <button type="button" class="btn btn-default"><%= link_to 'New Event', new_event_path %></button>

  <li>
    <%= link_to "Sign Out", destroy_connect_session_path, method: :delete %>
  </li>
  <li>
    <%= current_connect.email %>
  </li>
  <li>
    <%= link_to "Edit Account", edit_connect_registration_path %>
  </li>
  <% else %>
    <li>
      <%= link_to "sign in", new_connect_session_path %>
    </li>
    <li>
      <%= link_to "sign UP", new_connect_registration_path %>
    </li>
    <% end %>
</ul>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>EventDevise</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<link href="https://fonts.googleapis.com/css?family=Oleo+Script:400,700" rel="stylesheet">
   	<link href="https://fonts.googleapis.com/css?family=Teko:400,700" rel="stylesheet">
   	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">



    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <nav class="site-header sticky-top py-1">
      <div class="container d-flex flex-column flex-md-row justify-content-between">
        <a class="py-2 logoevent" href="<%= root_path %>">
        <img src="http://www.stickpng.com/assets/images/5841c48ba6515b1e0ad75aa4.png" alt="logo">
        </a>
        <a class="py-2 d-none d-md-inline-block" href="/">Home</a>
        <a class="py-2 d-none d-md-inline-block" href="/events">Events</a>
        <a class="py-2 d-none d-md-inline-block" href="/">Contact</a>
      </div>
    </nav>
    <%= yield %>
  </body>
</html>